FreeMat

- Main Page
- Related Pages

vtkRepresentationPainter

Section: Visualization Toolkit Rendering Classes

# Usage

This painter merely defines the interface. Subclasses will change the polygon rendering mode dependent on the graphics library.

To create an instance of class vtkRepresentationPainter, simply invoke its constructor as follows

      obj = vtkRepresentationPainter

# Methods

The class vtkRepresentationPainter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkRepresentationPainter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkRepresentationPainter = obj.NewInstance ()`
- `vtkRepresentationPainter = obj.SafeDownCast (vtkObject o)`